org.apache.maven.scm.providers.svn.settings

## Class Settings

- java.lang.Object
- - org.apache.maven.scm.providers.svn.settings.Settings

All Implemented Interfaces:
  Serializable

    public class Settings
    extends Object
    implements Serializable

Class Settings.

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`Settings()`

### Method Summary

Methods
`String` `getConfigDirectory()` Get instructs Subversion to read configuration information from the specified directory instead of the default location.
`String` `getCygwinMountPath()` Get the cygwin mount path.
`String` `getModelEncoding()` Get the modelEncoding field.
`boolean` `isUseCygwinPath()` Get must be true if svn is a cygwin svn command.
`boolean` `isUseNonInteractive()` Get switch off if you do not like to use --non-interactive e.g.
`void` `setConfigDirectory(String configDirectory)` Set instructs Subversion to read configuration information from the specified directory instead of the default location.
`void` `setCygwinMountPath(String cygwinMountPath)` Set the cygwin mount path.
`void` `setModelEncoding(String modelEncoding)` Set the modelEncoding field.
`void` `setUseCygwinPath(boolean useCygwinPath)` Set must be true if svn is a cygwin svn command.
`void` `setUseNonInteractive(boolean useNonInteractive)` Set switch off if you do not like to use --non-interactive e.g.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Settings

    public Settings()

### Method Detail

#### getConfigDirectory

    public String getConfigDirectory()

Get instructs Subversion to read configuration information from the specified directory instead of the default location.

Returns:
  String

#### getCygwinMountPath

    public String getCygwinMountPath()

Get the cygwin mount path. The default value is '/cygwin'.

Returns:
  String

#### getModelEncoding

    public String getModelEncoding()

Get the modelEncoding field.

Returns:
  String

#### isUseCygwinPath

    public boolean isUseCygwinPath()

Get must be true if svn is a cygwin svn command.

Returns:
  boolean

#### isUseNonInteractive

    public boolean isUseNonInteractive()

Get switch off if you do not like to use --non-interactive e.g. on Leopard (see SCM-402).

Returns:
  boolean

#### setConfigDirectory

    public void setConfigDirectory(String configDirectory)

Set instructs Subversion to read configuration information from the specified directory instead of the default location.

Parameters:
  `configDirectory` -

#### setCygwinMountPath

    public void setCygwinMountPath(String cygwinMountPath)

Set the cygwin mount path. The default value is '/cygwin'.

Parameters:
  `cygwinMountPath` -

#### setModelEncoding

    public void setModelEncoding(String modelEncoding)

Set the modelEncoding field.

Parameters:
  `modelEncoding` -

#### setUseCygwinPath

    public void setUseCygwinPath(boolean useCygwinPath)

Set must be true if svn is a cygwin svn command.

Parameters:
  `useCygwinPath` -

#### setUseNonInteractive

    public void setUseNonInteractive(boolean useNonInteractive)

Set switch off if you do not like to use --non-interactive e.g. on Leopard (see SCM-402).

Parameters:
  `useNonInteractive` -